ConverterUtil (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.web.converters

## [Java] Class ConverterUtil

- org.grails.web.converters.ConverterUtil

- A utility class for creating and dealing with Converter objects.

  Authors:
    Siegfried Puchbauer
  Since:
    0.6

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static org.springframework.beans.BeanWrapper` | `createBeanWrapper(java.lang.Object o)`
    `` | `static java.lang.Object` | `createConverter(java.lang.Class<?> converterClass, java.lang.Object target)`
    `<T>` | `static T` | `createConverter(java.lang.Class<T> converterClass, java.lang.Object target, org.springframework.context.ApplicationContext applicationContext)`
    `` | `protected java.lang.Object` | `extractIdValue(java.lang.Object domainObject, GrailsDomainClassProperty idProperty)` Reads the value of the primary identifier property of a domain class instance
    `` | `static java.lang.Object` | `invokeOriginalAsTypeMethod(java.lang.Object delegate, java.lang.Class<?> clazz)`
    `` | `static boolean` | `isConverterClass(java.lang.Class<?> clazz)`
    `` | `static CircularReferenceBehaviour` | `resolveCircularReferenceBehaviour(java.lang.String str)`
    `` | `static ConverterException` | `resolveConverterException(java.lang.Throwable t)`
    `` | `static java.lang.String` | `trimProxySuffix(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static org.springframework.beans.BeanWrapper createBeanWrapper(java.lang.Object o)

    - #### public static java.lang.Object createConverter(java.lang.Class<?> converterClass, java.lang.Object target)

    - #### <T> public static T createConverter(java.lang.Class<T> converterClass, java.lang.Object target, org.springframework.context.ApplicationContext applicationContext)

    - #### protected java.lang.Object extractIdValue(java.lang.Object domainObject, GrailsDomainClassProperty idProperty)

      Reads the value of the primary identifier property of a domain class instance

      Parameters:
        `domainObject` - The domain class instance
        `idProperty` - The GrailsDomainClassProperty
      Returns:
        The primary identifier of the specified domain object

    - #### @java.lang.SuppressWarnings("rawtypes") public static java.lang.Object invokeOriginalAsTypeMethod(java.lang.Object delegate, java.lang.Class<?> clazz)

    - #### public static boolean isConverterClass(java.lang.Class<?> clazz)

    - #### public static CircularReferenceBehaviour resolveCircularReferenceBehaviour(java.lang.String str)

    - #### public static ConverterException resolveConverterException(java.lang.Throwable t)

    - #### public static java.lang.String trimProxySuffix(java.lang.String name)